Amazon Linux 2022 : (ALAS2022-2022-086)

medium Nessus プラグイン ID 164755

概要

リモートの Amazon Linux 2022 ホストに、セキュリティ更新プログラムがありません。

説明

したがって、ALAS2022-2022-086 のアドバイザリに記載されている複数の脆弱性の影響を受けます。

- 関数の util-linux の libmount ライブラリに、権限のないユーザーが FUSE ファイルシステムをマウント解除できる論理エラーが見つかりました。この欠陥により、権限のないローカルの攻撃者が、攻撃者の UID のプレフィックスである UID が文字列形式である特定の他のユーザーに属する FUSE ファイルシステムをマウント解除できます。攻撃者がこの欠陥を利用して、影響を受けるファイルシステムを使用するアプリケーションにサービス拒否を引き起こす可能性があります。(CVE-2021-3995)

- 関数の util-linux の libmount ライブラリに、権限のないユーザーが FUSE ファイルシステムをマウント解除できる論理エラーが見つかりました。この欠陥により、脆弱なシステムのローカルユーザーが、自分自身が誰でも書き込める (/tmp など) か、誰でも書き込めるディレクトリにマウントされている他のユーザーのファイルシステムをマウント解除できます。攻撃者がこの欠陥を利用して、影響を受けるファイルシステムを使用するアプリケーションにサービス拒否を引き起こす可能性があります。(CVE-2021-3996)

Nessus はこれらの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

「dnf update --releasever=2022.0.20220518 util-linux」を実行してシステムを更新してください。

関連情報

https://alas.aws.amazon.com/AL2022/ALAS-2022-086.html

https://alas.aws.amazon.com/cve/html/CVE-2021-3995.html

https://alas.aws.amazon.com/cve/html/CVE-2021-3996.html

プラグインの詳細

深刻度: Medium

ID: 164755

ファイル名: al2022_ALAS2022-2022-086.nasl

バージョン: 1.2

タイプ: local

エージェント: unix

公開日: 2022/9/6

更新日: 2022/9/6

サポートされているセンサー: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 4.4

CVSS v2

リスクファクター: Low

Base Score: 2.1

Temporal Score: 1.6

ベクトル: AV:L/AC:L/Au:N/C:N/I:N/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS スコアのソース: CVE-2021-3996

CVSS v3

リスクファクター: Medium

Base Score: 5.5

Temporal Score: 4.8

ベクトル: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:amazon:linux:libblkid, p-cpe:/a:amazon:linux:libblkid-debuginfo, p-cpe:/a:amazon:linux:libblkid-devel, p-cpe:/a:amazon:linux:libfdisk, p-cpe:/a:amazon:linux:libfdisk-debuginfo, p-cpe:/a:amazon:linux:libfdisk-devel, p-cpe:/a:amazon:linux:libmount, p-cpe:/a:amazon:linux:libmount-debuginfo, p-cpe:/a:amazon:linux:libmount-devel, p-cpe:/a:amazon:linux:libsmartcols, p-cpe:/a:amazon:linux:libsmartcols-debuginfo, p-cpe:/a:amazon:linux:libsmartcols-devel, p-cpe:/a:amazon:linux:libuuid, p-cpe:/a:amazon:linux:libuuid-debuginfo, p-cpe:/a:amazon:linux:libuuid-devel, p-cpe:/a:amazon:linux:python3-libmount, p-cpe:/a:amazon:linux:python3-libmount-debuginfo, p-cpe:/a:amazon:linux:util-linux, p-cpe:/a:amazon:linux:util-linux-core, p-cpe:/a:amazon:linux:util-linux-core-debuginfo, p-cpe:/a:amazon:linux:util-linux-debuginfo, p-cpe:/a:amazon:linux:util-linux-debugsource, p-cpe:/a:amazon:linux:util-linux-user, p-cpe:/a:amazon:linux:util-linux-user-debuginfo, p-cpe:/a:amazon:linux:uuidd, p-cpe:/a:amazon:linux:uuidd-debuginfo, cpe:/o:amazon:linux:2022

必要な KB アイテム: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2022/6/1

脆弱性公開日: 2022/5/6

参照情報

CVE: CVE-2021-3995, CVE-2021-3996